package studio.halbear.hem.procedures;

import studio.halbear.hem.HemMod;

import net.minecraft.entity.Entity;

import java.util.Map;

public class TestPlaneOnInitialEntitySpawnProcedure {

	public static void executeProcedure(Map<String, Object> dependencies) {
		if (dependencies.get("entity") == null) {
			if (!dependencies.containsKey("entity"))
				HemMod.LOGGER.warn("Failed to load dependency entity for procedure TestPlaneOnInitialEntitySpawn!");
			return;
		}
		Entity entity = (Entity) dependencies.get("entity");
		entity.getPersistentData().putDouble("PropSpeed", 0);
		entity.getPersistentData().putDouble("Pitch", 0);
		entity.getPersistentData().putDouble("Yaw", 0);
		entity.getPersistentData().putDouble("Roll", 0);
	}
}
